## org.apache.mahout.cf.taste.transforms
Interface PreferenceTransform

All Superinterfaces:
  Refreshable

All Known Implementing Classes:
  InverseUserFrequency, ZScore

    public interface PreferenceTransform

extends Refreshable

Implementations encapsulate a transform on a `Preference`'s value. These transformations are typically applied to values before they are used to compute a similarity value. They are typically not applied elsewhere; in particular `DataModel`s no longer use a transform like this to transform all of their preference values at the source.

Method Summary
`float` `getTransformedValue(Preference pref)`

Methods inherited from interface org.apache.mahout.cf.taste.common.Refreshable
`refresh`

Method Detail

### getTransformedValue

    float getTransformedValue(Preference pref)
                              throws TasteException

  Throws:
    `TasteException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.